import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class AddBtrip extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	String title = "Add Business Trip";
	//Get the response's PrintWriter to return text to the client.
	response.setContentType("text/html");
	PrintWriter context = response.getWriter();
	Page p = new Page(context, title);
	p.add(new Header(title, 2));
	HttpSession session = request.getSession(false);
	String division = request.getParameterValues("division")[0];
	String person = request.getParameterValues("person")[0];
	Connection conn;
	if (session != null)
		conn = (Connection) session.getValue("login.connection");
	else    
		conn = null;
	if (session == null || conn == null) {
	    response.sendRedirect("/btrips/notlogedin.html");
	}
	else {
		String dbms = (String) session.getValue("login.dbms");
		String template[] = null;
		if (dbms.equals("Oracle")) {
			template = new String[3];
			template[0] = "DD/MM/YYYY"; 
			template[1] = "MM/DD/YY"; 
			template[2] = "MM/DD/YYYY";
		}
		else if (dbms.equals("InterBase")) {
			template = new String[1];
			template[0] = "MM/DD/YYYY";
		}
		Form f = new Form(context, "POST", "/servlets/btrips/InsertBtrip");
		p.add(f);
		f.add(new Hidden("id_division", division));
		f.add(new Hidden("id_person", person));
		Table t = new Table(context);
		f.add(t);
		TableString ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Code:"));
		ts.add(new TextField("code", " "));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Town:"));
		ts.add(new TextField("town", " "));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Organization:"));
		ts.add(new TextField("org", " "));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Target:"));
		ts.add(new TextField("target", " "));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Train:"));
		ts.add(new TextField("train", " "));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Outdate:"));
		ts.add(new TextField("outdate", " "));
		ts.add(new Text("Choose Template for Date:"));
		ts.add(new Selection("outtemplate", template));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Indate:"));
		ts.add(new TextField("indate", " "));
		ts.add(new Text("Choose Template for Date:"));
		ts.add(new Selection("intemplate", template));
		f.add(new SubmitButton("Add"));
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
