import java.util.Vector;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class AddPay extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	String title = "Add Payment";
	response.setContentType("text/html");
	PrintWriter context = response.getWriter();
	Page p = new Page(context, title);
	p.add(new Header(title, 2));
	HttpSession session = request.getSession(false);
	String id_btrip = request.getParameterValues("id_btrip")[0];
	Connection conn;
	if (session != null)
		conn = (Connection) session.getValue("login.connection");
	else    
		conn = null;
	if (session == null || conn == null) {
	    response.sendRedirect("/btrips/notlogedin.html");
	}
	else {
		String dbms = (String) session.getValue("login.dbms");
		String template[] = null;
		Vector types = new Vector();
		try {
		Statement stmt = conn.createStatement ();
		ResultSet rset = stmt.executeQuery ("select * from PayTypes");
		while (rset.next ()) {
			types.addElement(rset.getString(2));
		}
		} catch (SQLException e) {
			p.add(new Text("Error executing SQL:" + e));
		};
		if (dbms.equals("Oracle")) {
			template = new String[3];
			template[0] = "DD/MM/YYYY"; 
			template[1] = "MM/DD/YY"; 
			template[2] = "MM/DD/YYYY";
		}
		else if (dbms.equals("InterBase")) {
			template = new String[1];
			template[0] = "MM/DD/YYYY";
		}
		Form f = new Form(context, "POST", "/servlets/btrips/InsertPay");
		p.add(f);
		f.add(new Hidden("id_btrip", id_btrip));
		Table t = new Table(context);
		f.add(t);
		TableString ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Summa:"));
		ts.add(new TextField("sum", " "));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Date:"));
		ts.add(new TextField("date", " "));
		ts.add(new Text("Choose Template for Date:"));
		ts.add(new Selection("template", template));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Type:"));
		ts.add(new Selection("paytype", types));
		f.add(new SubmitButton("Add"));
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
