import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class AddPerson extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	String title = "Add Person";
	response.setContentType("text/html");
	PrintWriter context = response.getWriter();
	Page p = new Page(context, title);
	p.add(new Header(title, 2));
	HttpSession session = request.getSession(false);
	String division = request.getParameterValues("division")[0];
      Connection conn;
	if (session != null)
		conn = (Connection) session.getValue("login.connection");
	else    
		conn = null;
	if (session == null || conn == null) {
	    response.sendRedirect("/btrips/notlogedin.html");
	}
	else {
		Form f = new Form(context, "POST", "/servlets/btrips/InsertPerson");
		p.add(f);
		f.add(new Hidden("division", division));
		Table t = new Table(context);
		f.add(t);
		TableString ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Name:"));
		ts.add(new TextField("name", " "));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("First Name:"));
		ts.add(new TextField("firstname", " "));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Sub Name:"));
		ts.add(new TextField("subname", " "));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Status:"));
		ts.add(new TextField("status", " "));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Time of working:"));
		ts.add(new TextField("worktime", " "));
		f.add(new SubmitButton("Add"));
	}	

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
