import java.util.Vector;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class ChangePay extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	String title = "Change Payment";
	response.setContentType("text/html");
	PrintWriter context = response.getWriter();
	Page p = new Page(context, title);
	p.add(new Header(title, 2));
	HttpSession session = request.getSession(false);
	String id = request.getParameterValues("id")[0];
	Connection conn;
	if (session != null)
		conn = (Connection) session.getValue("login.connection");
	else    
		conn = null;
	if (session == null || conn == null) {
	    response.sendRedirect("/btrips/notlogedin.html");
	}
	else {
		String dbms = (String) session.getValue("login.dbms");
		String template[] = null;
		if (dbms.equals("Oracle")) {
			template = new String[3];
			template[0] = "DD/MM/YYYY"; 
			template[1] = "MM/DD/YY"; 
			template[2] = "MM/DD/YYYY";
		}
		else if (dbms.equals("InterBase")) {
			template = new String[1];
			template[0] = "MM/DD/YYYY";
		}
		Form f = new Form(context, "POST", "/servlets/btrips/UpdatePay");
		p.add(f);
		try {
		Vector types = new Vector();
		Statement stmt = conn.createStatement ();
		ResultSet rset = stmt.executeQuery ("select * from PayTypes");
		while (rset.next ()) {
			types.addElement(rset.getString(2));
		}
		conn = (Connection)
			session.getValue("login.connection");
//		Statement stmt = conn.createStatement ();
		rset = stmt.executeQuery ("select ID, ID_Btrip, PayType, TO_CHAR(PayDate,'DD/MM/YYYY'), PaySum from PAYMENTS where id = " + id);
		if (rset.next ()) {
			f.add(new Hidden("id", rset.getString(1)));
			f.add(new Hidden("id_btrip", rset.getString(2)));
			Table t = new Table(context);
			f.add(t);
			TableString ts = new TableString(context);
			ts.add(new Text("Summa:"));
			ts.add(new TextField("sum", rset.getString(5)));
			t.add(ts);
			ts = new TableString(context);
			ts.add(new Text("Type:"));
			ts.add(new Selection("paytype", types));
//			ts.add(new TextField("paytype", rset.getString(3)));
			t.add(ts);
			ts = new TableString(context);
			ts.add(new Text("Date:"));
			ts.add(new TextField("date", rset.getString(4)));
			ts.add(new Text("Choose Template for Date:"));
			ts.add(new Selection("template", template));
			t.add(ts);
			f.add(new SubmitButton("Update"));
		}
		} catch (SQLException e) {
			p.add(new Text("Error executing SQL:" + e));
		};
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
