import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class DebtorsReport extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	String title = "List of Debtors";
	response.setContentType("text/html");
	PrintWriter context = response.getWriter();
	Page p = new Page(context, title);
	p.add(new Header(title, 2));
	HttpSession session = request.getSession(false);
	String date = request.getParameterValues("date")[0];
	String template = request.getParameterValues("template")[0];
	Connection conn;
	if (session != null)
		conn = (Connection) session.getValue("login.connection");
	else    
		conn = null;
	if (session == null || conn == null) {
	    response.sendRedirect("/btrips/notlogedin.html");
	}
	else {
		try {
		Table t = new Table(context, 1);
		p.add(t);
		TableString h = new TableString(context);
		h.add(new Text("Name"));
		h.add(new Text("FirtsName"));
		h.add(new Text("WorkPlace"));
		h.add(new Text("Balance"));
		t.add(h);
		conn = (Connection)
			session.getValue("login.connection");
		Statement stmt = conn.createStatement ();
		String dbms = (String) session.getValue("login.dbms");
		String statement = null;
		if (dbms.equals("Oracle"))
			statement = "SELECT DISTINCT p.name, p.firstname, d.title,  BALANCE(b.id_person, TO_DATE('" + date + "','" + template + "')) Balance FROM BTRIPS B, PERSONS P, DIVISIONS D WHERE BALANCE(b.id_person, TO_DATE('" + date + "','" + template + "')) != 0 AND p.id = b.id_person AND d.id = b.id_division";
		else if (dbms.equals("InterBase"))
			statement = "SELECT DISTINCT p.name, p.firstname, d.title,  BALANCE(b.id_person, '" + date + "') Balance FROM BTRIPS B, PERSONS P, DIVISIONS D WHERE BALANCE(b.id_person, '" + date + "') != 0 AND p.id = b.id_person AND d.id = b.id_division";
		ResultSet rset = stmt.executeQuery (statement);
		while (rset.next ()) {
			TableString ts = new TableString(context);
			ts.add(new Text(rset.getString(1)));
			ts.add(new Text(rset.getString(2)));
			ts.add(new Text(rset.getString(3)));
			ts.add(new Text(rset.getString(4)));
			t.add(ts);
		}
		} catch (SQLException e) {
			p.add(new Text("Error executing SQL:" + e));
		};
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
