import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class Divisions extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	response.setContentType("text/html");
	HttpSession session = request.getSession(false);
	String mode = request.getParameterValues("mode")[0];;
	String title = "Divisions List";
	if (mode.equals("select"))
		title = "Select Division";
	else if (mode.equals("person"))
		title = "Select Division";
	PrintWriter context = response.getWriter();
	Page p = new Page(context, title);
	p.add(new Header(title, 2));
	Connection conn;
	if (session != null)
		conn = (Connection) session.getValue("login.connection");
	else
		conn = null;
	if (session == null || conn == null) {
	    response.sendRedirect("/btrips/notlogedin.html");
	}
	else {
		try {
		conn = (Connection)
			session.getValue("login.connection");
		Statement stmt = conn.createStatement ();
		ResultSet rset = stmt.executeQuery ("select * from DIVISIONS");
		if (mode.equals("list")) {
			Form f = new Form(context, "POST", "/servlets/btrips/AddDivision");
			p.add(f);
			Table t = new Table(context);
			f.add(t);
			while (rset.next ()) {
				TableString ts = new TableString(context);
				ts.add(new Anchor(
			"/servlets/btrips/ChangeDivision?id=" + rset.getString(1),
				new Text(rset.getString(2))));
				t.add(ts);
			}
			f.add(new SubmitButton("Add"));
		}
		else if (mode.equals("person")) {
			Table t = new Table(context);
			p.add(t);
			while (rset.next ()) {
				TableString ts = new TableString(context);
				ts.add(new Anchor(
			"/servlets/btrips/AddPerson?division=" + rset.getString(1),
				new Text(rset.getString(2))));
				t.add(ts);
			}
		}
		else if (mode.equals("select")) {
			Table t = new Table(context);
			p.add(t);
			while (rset.next ()) {
				TableString ts = new TableString(context);
				ts.add(new Anchor(
			"/servlets/btrips/Persons?mode=select&division=" + rset.getString(1),
				new Text(rset.getString(2))));
				t.add(ts);
			}
		}
		} catch (SQLException e) {
			p.add(new Text("Error executing SQL:" + e));
		};
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
