import java.io.*;
import java.applet.*;
import java.sql.*;

public class IBDataApp extends Applet
{ 
    public static void main(String args[])
    {
	System.out.println("InterBase JDBC Test App !");

	try {
    // Load the Oracle JDBC driver
    Class.forName ("interbase.interclient.Driver");
	} catch (ClassNotFoundException e) {
		System.out.println("Error loading InterBase JDBC Driver Class" + e);
	};

	try {
    // Connect to the database
    // You must put a database name after the @ sign in the connection URL.
    // You can use either the fully specified SQL*net syntax or a short cut
    // syntax as <host>:<port>:<sid>.  The example uses the short cut syntax.
    Connection conn =
      DriverManager.getConnection (
"jdbc:interbase://localhost/C:/users/master/sql_apps/btrips/master.gdb",
				   "sysdba", "masterkey");

	System.out.println("Connection established !");

    // Create a Statement
    Statement stmt = conn.createStatement ();

    // Select the ENAME column from the EMP table
    ResultSet rset = stmt.executeQuery ("select NAME from PERSONS");

	System.out.println("Query executed !");

    // Iterate through the result and print the employee names
    while (rset.next ())
      System.out.println(rset.getString (1));

	conn.close();

	System.out.println("Connection closed !");

	} catch (SQLException e) {
		System.out.println("Error executing SQL" + e);
	};
    }
}
