import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class ListByPerson extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	String title = "List of Busines Trips by Person";
	response.setContentType("text/html");
	PrintWriter context = response.getWriter();
	Page p = new Page(context, title);
	p.add(new Header(title, 2));
	HttpSession session = request.getSession(false);
	String id = request.getParameterValues("id")[0];
        Connection conn;
	if (session != null)
		conn = (Connection) session.getValue("login.connection");
	else    
		conn = null;
	if (session == null || conn == null) {
	    response.sendRedirect("/btrips/notlogedin.html");
	}
	else {
		Form f = new Form(context, "POST", "/servlets/btrips/Divisions?mode=select");
		p.add(f);
		f.add(new Hidden("mode", "select"));
                Table t = new Table(context);
                f.add(t);
		try {
		conn = (Connection)
			session.getValue("login.connection");
		Statement stmt = conn.createStatement ();
		ResultSet rset = stmt.executeQuery ("select id, id_division, id_person, name, firstname, town, target, train, TO_CHAR(outdate,'DD/MM/YYYY'), TO_CHAR(indate,'DD/MM/YYYY') from ALLDATA where id_person = " + id);
		while (rset.next ()) {
			TableString ts = new TableString(context);
			ts.add(new Anchor(
		"/servlets/btrips/DeleteBtrip?id=" + rset.getString(1),
			new Image("/btrips/delete.gif", "Delete Business Trip")));
			ts.add(new Anchor(
		"/servlets/btrips/ViewPayments?id=" + rset.getString(1),
			new Image("/btrips/pays.gif", "View Payments of Business Trip")));
			ts.add(new Anchor(
		"/servlets/btrips/ChangeBtrip?id=" + rset.getString(1),
			new Text(rset.getString(2)+ " " + rset.getString(3)+ " " + rset.getString(4)+ " " + rset.getString(5)+ " " + rset.getString(6)+ " " + rset.getString(7) + " " + rset.getString(8))));
			t.add(ts);
		}
		} catch (SQLException e) {
			p.add(new Text("Error executing SQL:" + e));
		};
		f.add(new SubmitButton("Add"));
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
