import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class SelectPerson extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	String title = "Person List";
	response.setContentType("text/html");
	PrintWriter context = response.getWriter();
	Page p = new Page(context, title);
	p.add(new Header(title, 2));
	HttpSession session = request.getSession(false);
	String mode = request.getParameterValues("mode")[0];
	Connection conn;
	if (session != null)
		conn = (Connection) session.getValue("login.connection");
	else    
		conn = null;
	if (session == null || conn == null) {
	    response.sendRedirect("/btrips/notlogedin.html");
	}
	else {
		try {
		conn = (Connection)
			session.getValue("login.connection");
		Statement stmt = conn.createStatement ();
		ResultSet rset = stmt.executeQuery (
			"select ID, Name, FirstName, SubName from PERSONS");
		Table t = new Table(context);
		p.add(t);
		while (rset.next ()) {
			TableString ts = new TableString(context);
			if (mode.equals("view")) 
				ts.add(new Anchor(
		"/servlets/btrips/ListByPerson?id=" + rset.getString(1),
				new Text(rset.getString(2))));
			else if (mode.equals("report"))
				ts.add(new Anchor(
		"/servlets/btrips/ReportByPerson?id=" + rset.getString(1),
				new Text(rset.getString(2))));
			t.add(ts);
		}
		} catch (SQLException e) {
			p.add(new Text("Error executing SQL:" + e));
		};
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
