import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class ChangeBtrip extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	String title = "Change Business Trip Information";
	response.setContentType("text/html");
	PrintWriter context = response.getWriter();
	Page p = new Page(context, title);
	p.add(new Header(title, 2));
	HttpSession session = request.getSession(false);
	String id = request.getParameterValues("id")[0];
	Connection conn;
	if (session != null)
		conn = (Connection) session.getValue("login.connection");
	else    
		conn = null;
	if (session == null || conn == null) {
	    response.sendRedirect("/btrips/notlogedin.html");
	}
	else {
		String dbms = (String) session.getValue("login.dbms");
		String template[] = null;
		if (dbms.equals("Oracle")) {
			template = new String[3];
			template[0] = "DD/MM/YYYY"; 
			template[1] = "MM/DD/YY"; 
			template[2] = "MM/DD/YYYY";
		}
		else if (dbms.equals("InterBase")) {
			template = new String[1];
			template[0] = "MM/DD/YYYY";
		}
		Form f = new Form(context, "POST", "/servlets/btrips/UpdateBtrip");
		p.add(f);
		try {
		conn = (Connection)
			session.getValue("login.connection");
		Statement stmt = conn.createStatement ();
		String query = null;
		if (dbms.equals("Oracle"))
			query = "select ID, ID_Person, ID_Division, Code, Town, Organization, Target, Train, TO_CHAR(outdate,'DD/MM/YYYY'), TO_CHAR(indate,'DD/MM/YYYY') from BTRIPS where id = " + id;
		else if (dbms.equals("InterBase"))
			query = "select ID, ID_Person, ID_Division, Code, Town, Organization, Target, Train, outdate, indate from BTRIPS where id = " + id;
		ResultSet rset = stmt.executeQuery (query);
		if (rset.next ()) {
		f.add(new Hidden("id", rset.getString(1)));
		f.add(new Hidden("id_person", rset.getString(2)));
		f.add(new Hidden("id_division", rset.getString(3)));
		Table t = new Table(context);
		f.add(t);
		TableString ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Code:"));
		ts.add(new TextField("code", rset.getString(4)));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Town:"));
		ts.add(new TextField("town", rset.getString(5)));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Organization:"));
		ts.add(new TextField("org", rset.getString(6)));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Target:"));
		ts.add(new TextField("target", rset.getString(7)));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Train:"));
		ts.add(new TextField("train", rset.getString(8)));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Outdate:"));
		ts.add(new TextField("outdate", rset.getString(9)));
		ts.add(new Text("Choose Template for Date:"));
		ts.add(new Selection("outtemplate", template));
		ts = new TableString(context);
		t.add(ts);
		ts.add(new Text("Indate:"));
		ts.add(new TextField("indate", rset.getString(10)));
		ts.add(new Text("Choose Template for Date:"));
		ts.add(new Selection("intemplate", template));
		f.add(new SubmitButton("Update"));
		}
		} catch (SQLException e) {
			p.add(new Text("Error executing SQL:" + e));
		};
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
