import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class InsertBtrip extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	String title = "Insert Information";
	response.setContentType("text/html");
	PrintWriter context = response.getWriter();
	Page p = new Page(context, title);
	p.add(new Header(title, 2));
	HttpSession session = request.getSession(false);
	String person = request.getParameterValues("id_person")[0];
	String division = request.getParameterValues("id_division")[0];
	String code = request.getParameterValues("code")[0];
	String town = request.getParameterValues("town")[0];
	String org = request.getParameterValues("org")[0];
	String target = request.getParameterValues("target")[0];
	String train = request.getParameterValues("train")[0];
	String outdate = request.getParameterValues("outdate")[0];
	String outtemplate = request.getParameterValues("outtemplate")[0];
	String indate = request.getParameterValues("indate")[0];
	String intemplate = request.getParameterValues("intemplate")[0];
	Connection conn;
	if (session != null)
		conn = (Connection) session.getValue("login.connection");
	else    
		conn = null;
	if (session == null || conn == null) {
	    response.sendRedirect("/btrips/notlogedin.html");
	}
	else {
		try {
		conn = (Connection)
			session.getValue("login.connection");
		Statement stmt = conn.createStatement ();
		String insert_stmt = null;
		String dbms = (String) session.getValue("login.dbms");
		if (dbms.equals("Oracle"))
			insert_stmt = "insert into BTRIPS (id, id_division, id_person, code, town, Organization, Target, Train, Indate, Outdate) VALUES (btrip_ids.NEXTVAL, " + division + ", " + person + ", '" + code + "', '" + town + "', '" + org + "', '" + target + "', '" + train + "', TO_DATE('" + indate + "','" + intemplate + "'), TO_DATE('" + outdate + "','" + outtemplate + "'))";
		else if (dbms.equals("InterBase"))
			insert_stmt = "insert into BTRIPS (id, id_division, id_person, code, town, Organization, Target, Train, Indate, Outdate) VALUES (GEN_ID(btrip_ids,1), " + division + ", " + person + ", '" + code + "', '" + town + "', '" + org + "', '" + target + "', '" + train + "', '" + indate + "', '" + outdate + "')";
		p.add(new Text("Statement:" + insert_stmt));
//		ResultSet rset = stmt.executeQuery (insert_stmt);
		int nrec = stmt.executeUpdate (insert_stmt);
		p.add(new Text("Record successfuly inserted !"));
		} catch (SQLException e) {
			p.add(new Text("Error executing SQL:" + e));
		};
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
