import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class InsertDivision extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	String title = "Insert Information";
	response.setContentType("text/html");
	PrintWriter context = response.getWriter();
	Page p = new Page(context, title);
	p.add(new Header(title, 2));
	HttpSession session = request.getSession(false);
	String name = request.getParameterValues("title")[0];
        Connection conn;
	if (session != null)
		conn = (Connection) session.getValue("login.connection");
	else    
		conn = null;
	if (session == null || conn == null) {
	    response.sendRedirect("/btrips/notlogedin.html");
	}
	else {
		try {
		conn = (Connection)
			session.getValue("login.connection");
		Statement stmt = conn.createStatement ();
		String insert_stmt = null;
		String dbms = (String) session.getValue("login.dbms");
		if (dbms.equals("Oracle"))
			insert_stmt = "insert into DIVISIONS VALUES (division_ids.NEXTVAL, '" + name + "')";
		else if (dbms.equals("InterBase"))
			insert_stmt = "insert into DIVISIONS VALUES (GEN_ID(division_ids,1), '" + name + "')";
		p.add(new Text("Statement:" + insert_stmt));
		int nrec = stmt.executeUpdate (insert_stmt);
		p.add(new Text("Record successfuly inserted !"));
		} catch (SQLException e) {
			p.add(new Text("Error executing SQL:" + e));
		};
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
