import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class Logout extends HttpServlet
{
    public void service(HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException
    {
	String title = "Logout Information";

	// first, set the "content type" header of the response
	res.setContentType("text/html");

	//Get the response's PrintWriter to return text to the client.
	PrintWriter context = res.getWriter();

	Page p = new Page(context, title);
	p.add(new Header(title, 2));

	// Get the session object
	HttpSession session = req.getSession(false);

	if (session != null) {
		try {
			Connection conn = (Connection)
				session.getValue("login.connection");
			if (conn != null)
				conn.close();
			session.invalidate();
			p.add(new Text("Successful loged out !"));
		} catch (SQLException e) {
			p.add(new Text("SQL Error:" + e));
		};
	}
	else {
		p.add(new Text("Not loged in !"));
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
