import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class Persons extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	String title = "Person List";
	String division = "0";
	response.setContentType("text/html");
	HttpSession session = request.getSession(false);
	String mode = request.getParameterValues("mode")[0];
	if (mode.equals("select")) {
		title = "Select Person";
		division = request.getParameterValues("division")[0];
	}
	PrintWriter context = response.getWriter();
	Page p = new Page(context, title);
	p.add(new Header(title, 2));
	Connection conn;
	if (session != null)
		conn = (Connection) session.getValue("login.connection");
	else    
		conn = null;
	if (session == null || conn == null) {
	    response.sendRedirect("/btrips/notlogedin.html");
	}
	else {
		try {
		conn = (Connection)
			session.getValue("login.connection");
		Statement stmt = conn.createStatement ();
		ResultSet rset  = null;
		if (mode.equals("list")) {
			rset = stmt.executeQuery (
					"select * from PERSONS");
			Form f = new Form(context, "POST", "/servlets/btrips/Divisions");
			p.add(f);
			f.add(new Hidden("mode", "person"));
			Table t = new Table(context);
			f.add(t);
			while (rset.next ()) {
				TableString ts = new TableString(context);
				ts.add(new Anchor(
			"/servlets/btrips/ChangePerson?id=" + rset.getString(1),
				new Text(rset.getString(2))));
				t.add(ts);
			}
			f.add(new SubmitButton("Add"));
		}
		else if (mode.equals("select")) {
			rset = stmt.executeQuery (
				"select * from PERSONS WHERE workplace = " 
				+ division);
			Table t = new Table(context);
			p.add(t);
			while (rset.next ()) {
				TableString ts = new TableString(context);
				ts.add(new Anchor(
			"/servlets/btrips/AddBtrip?division=" + division + "&person=" + rset.getString(1),
				new Text(rset.getString(2))));
				t.add(ts);
			}
		}
		} catch (SQLException e) {
			p.add(new Text("Error executing SQL:" + e));
		};
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
     }
}
