import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class ViewPayments extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	String title = "List of Payments";
	response.setContentType("text/html");
	PrintWriter context = response.getWriter();
	Page p = new Page(context, title);
	p.add(new Header(title, 2));
	HttpSession session = request.getSession(false);
	String id = request.getParameterValues("id")[0];
        Connection conn;
	if (session != null)
		conn = (Connection) session.getValue("login.connection");
	else    
		conn = null;
	if (session == null || conn == null) {
	    response.sendRedirect("/btrips/notlogedin.html");
	}
	else {
		Form f = new Form(context, "POST", "/servlets/btrips/AddPay");
		p.add(f);
		f.add(new Hidden("id_btrip", id));
                Table t = new Table(context);
                f.add(t);
		try {
		conn = (Connection)
			session.getValue("login.connection");
		Statement stmt = conn.createStatement ();
		ResultSet rset = stmt.executeQuery ("select ID, ID_Btrip, TO_CHAR(PayDate,'DD/MM/YYYY'), PaySum, PayTypeTitle from ALLPayments where id_btrip = " + id);
		while (rset.next ()) {
			TableString ts = new TableString(context);
			ts.add(new Anchor(
		"/servlets/btrips/DeletePay?id=" + rset.getString(1),
			new Image("/btrips/delete.gif", "Delete Payment")));
			ts.add(new Anchor(
		"/servlets/btrips/ChangePay?id=" + rset.getString(1),
			new Text(rset.getString(3)+ " " + rset.getString(4)+ " " + rset.getString(5))));
			t.add(ts);
		}
		} catch (SQLException e) {
			p.add(new Text("Error executing SQL:" + e));
		};
		f.add(new SubmitButton("Add"));
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
